cascading.tuple.coerce

## Class ShortCoerce

- java.lang.Object
- - cascading.tuple.coerce.Coercions.Coerce<java.lang.Short>
  - - cascading.tuple.coerce.ShortCoerce

- All Implemented Interfaces:
    CoercibleType<java.lang.Short>, java.io.Serializable, java.lang.reflect.Type

      public class ShortCoerce
      extends Coercions.Coerce<java.lang.Short>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ShortCoerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Short` | `coerce(java.lang.Object value)`
    `java.lang.Class<java.lang.Short>` | `getCanonicalType()`

    - ### Methods inherited from class cascading.tuple.coerce.Coercions.Coerce

      `canonical, coerce, equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortCoerce

          protected ShortCoerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> map)

  - ### Method Detail

    - #### getCanonicalType

          public java.lang.Class<java.lang.Short> getCanonicalType()

      Returns:
        the actual Java type this CoercibleType represents

    - #### coerce

          public java.lang.Short coerce(java.lang.Object value)

      Specified by:
        `coerce` in class `Coercions.Coerce<java.lang.Short>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.